# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	Joomla Open Source (CMS)
Name:		joomla
Version:	2.5.4
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://www.joomla.org/
Source0:	Joomla_%{version}-Stable-Full_Package.tar.gz
Source1:	joomla-16x16.png
Source2:	joomla-32x32.png
Source3:	joomla-48x48.png
Patch0:		joomla-htaccess.patch.bz2
Requires:	apache-mod_php
Requires:	php-mysql
Requires:	php-xml
Requires:	php-gd
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif
Requires:	joomla-administrator
BuildArch:	noarch
Provides:	mambo
Obsoletes:	mambo
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Joomla! is a Content Management System (CMS) created by the same award-winning
team that brought the Mambo CMS to its current state of stardom.

%package	administrator
Summary:	Administrative web interface for Joomla Open Source (CMS)
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif

%description	administrator
Administrative web interface for Joomla Open Source (CMS)

%prep

%setup -q -c -n %{name}-%{version}
#%patch0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

# provide an empty configuration.php file
touch %{buildroot}/var/www/%{name}/configuration.php

# apache config
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from all
</Directory>

<Directory /var/www/%{name}/installation>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf"
</Directory>

EOF

cat htaccess.txt >> %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}-administrator.conf << EOF

<Directory /var/www/%{name}/administrator>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf"
</Directory>
EOF

cat > README.urpmi <<EOF
Once this package is installed, there are a few configuration items which need
to be performed before the application is usable.  First, you need to install
Mysql database and corresponding php modules:

# urpmi mysql php-mysql

Then, you need to establish a username and password to connect to your
MySQL database as, and make both MySQL and Joomla aware of this.
Let's start by creating the database and the username / password
inside MySQL first:

  # mysql
  mysql> create database joomla;
  Query OK, 1 row affected (0.00 sec)

  mysql> grant all privileges on joomla.* to joomla identified by 'joomla';
  Query OK, 0 rows affected (0.00 sec)

  mysql> flush privileges;
  Query OK, 0 rows affected (0.00 sec)

  mysql> exit
  Bye
  #

Under certain curcumstances, you may need to run variations of the "grant"
command:
mysql> grant all privileges on joomla.* to joomla@localhost identified by 'joomla';
   OR
mysql> grant all privileges on joomla.* to joomla@'%' identified by 'joomla';

This has created an empty database called 'joomla', created a user named
'joomla' with a password of 'joomla', and given the 'joomla' user total
permission over the 'joomla' database.  Obviously, you'll want to select a
different password, and you may want to choose different database and user
names depending on your installation.  The specific values you choose are
not constrained, they simply need to be consistent between the database and the
config file.

Once that's done and the database server and web server have been started, 
 in your favourite web browser, enter following URL :
http://localhost/joomla/  and 
follow the instructions given to you on the pages you see to set up the 
database tables. Then, when required, removed the directory 
/var/www/joomla/installation/.
EOF

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 joomla-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 joomla-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 joomla-48x48.png %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Joomla Administrator
Comment=Administrative web interface for Joomla Open Source (CMS)
Exec=%{_bindir}/www-browser http://localhost/%{name}/administrator/
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-WebEditors;Network;WebDevelopment;
EOF

# cleanup
rm -f %{buildroot}/var/www/%{name}/htaccess.txt %{buildroot}/var/www/%{name}/joomla-*.png

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%post administrator
%if %mdkversion < 201010
%_post_webapp
%endif
%if %mdkversion < 200900
%update_menus
%endif

%postun administrator
%if %mdkversion < 201010
%_postun_webapp
%endif
%if %mdkversion < 200900
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.urpmi
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%exclude /var/www/%{name}/administrator
/var/www/%{name}
%config(noreplace) %attr(0644,apache,root) /var/www/%{name}/configuration.php
%dir %attr(0755,apache,root) /var/www/%{name}/cache
%dir %attr(0755,apache,root) /var/www/%{name}/components
%dir %attr(0755,apache,root) /var/www/%{name}/images
%dir %attr(0755,apache,root) /var/www/%{name}/images/banners
#%dir %attr(0755,apache,root) /var/www/%{name}/images/stories
%dir %attr(0755,apache,root) /var/www/%{name}/language
%dir %attr(0755,apache,root) /var/www/%{name}/media
%dir %attr(0755,apache,root) /var/www/%{name}/modules
%dir %attr(0755,apache,root) /var/www/%{name}/templates

%files administrator
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}-administrator.conf
/var/www/%{name}/administrator
#%dir %attr(0755,apache,root) /var/www/%{name}/administrator/backups
%dir %attr(0755,apache,root) /var/www/%{name}/administrator/components
%dir %attr(0755,apache,root) /var/www/%{name}/administrator/modules
%dir %attr(0755,apache,root) /var/www/%{name}/administrator/templates
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Tue May 15 2012 Sergey Zhemoitel <serg@mandriva.org> 2.5.4-1mdv2011.0
+ Revision: 799012
- update to 2.5.4
- update to 2.5.3
- new release 1.5.23
- new release 1.5.23
- update new version 1.5.22

* Tue Jul 27 2010 Jerome Martin <jmartin@mandriva.org> 1.5.20-1mdv2011.0
+ Revision: 561199
- Version 1.5.20

* Wed Apr 28 2010 Jerome Martin <jmartin@mandriva.org> 1.5.17-1mdv2010.1
+ Revision: 540489
- Update to version 1.5.17
 - Add README.urpmi

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.15-2mdv2010.1
+ Revision: 510408
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise
- don't duplicate spec-helper job
- restrict access to administrative interface
- web file configuration renaming
- spec cleanup

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 1.5.15-1mdv2010.1
+ Revision: 472652
- new version 1.5.15

* Fri Oct 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5.14-3mdv2010.0
+ Revision: 459032
- P1: php-5.3.x fixes

  + Jerome Martin <jmartin@mandriva.org>
    - Fixed bug #40934

* Fri Oct 09 2009 Jerome Martin <jmartin@mandriva.org> 1.5.14-2mdv2010.0
+ Revision: 456339
- rebuild

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.14-1mdv2010.0
+ Revision: 406972
- Update to new version 1.5.14

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.13-1mdv2010.0
+ Revision: 399040
- Update to new version 1.5.13

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.11-1mdv2010.0
+ Revision: 383125
- Update to new version 1.5.11
- Use tar.bz2 source package instead of zip, remove source URL because it
  changes for every new version anyway

* Tue Mar 31 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5.10-1mdv2009.1
+ Revision: 362832
- 1.5.10 (multiple security fixes)

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 327993
- New verrsion 1.5.9

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 1.5.8-1mdv2009.1
+ Revision: 302415
- New version 1.5.8

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 1.5.7-1mdv2009.0
+ Revision: 283426
- New version 1.5.7

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 1.5.6-1mdv2009.0
+ Revision: 271449
- New version 1.5.6

* Mon Jul 28 2008 Funda Wang <fwang@mandriva.org> 1.5.5-1mdv2009.0
+ Revision: 250795
- New version 1.5.5

* Tue Jul 08 2008 Funda Wang <fwang@mandriva.org> 1.5.4-1mdv2009.0
+ Revision: 232677
- New version 1.5.4

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 30 2008 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2009.0
+ Revision: 199416
- New version 1.5.3

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 164459
- New version 1.5.1

* Sat Jan 26 2008 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 158336
- remove missing files
- New version 1.5.0

* Mon Jan 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-3mdv2008.1
+ Revision: 155803
- second sec fix release (really 1.0.14-RC1)

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-2mdv2008.0
+ Revision: 72690
- added a security fix
- nuke wrong xdg stuff

* Sun Aug 19 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.13-1mdv2008.0
+ Revision: 67006
- New upstream version: 1.0.13

